[Commented] (MENFORCER-357) RequirePluginVersions not recognizing versions-from-properties

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Commented] (MENFORCER-357) RequirePluginVersions not recognizing versions-from-properties

Sylwester Lachiewicz (Jira)

    [ https://issues.apache.org/jira/browse/MENFORCER-357?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17169469#comment-17169469 ]

Jeffrey Bennett commented on MENFORCER-357:
-------------------------------------------

I (also) was not able to replicate it using your sample-pom.xml.  Likewise, I failed to replicate it with a project from scratch.  

That said, our enterprise app definitely displays the issue.  I was able to strip this down and still see the error.  It's a multimodule maven project with 'parent-pom.xml' as the POM at the root, and a single child module (called 'omni') whose POM is child-pom.xml.   If you build from the root, it fails on the child module.   Interestingly, if built at the child tier, it succeeds.

 

> RequirePluginVersions not recognizing versions-from-properties
> --------------------------------------------------------------
>
>                 Key: MENFORCER-357
>                 URL: https://issues.apache.org/jira/browse/MENFORCER-357
>             Project: Maven Enforcer Plugin
>          Issue Type: Bug
>            Reporter: Jeffrey Bennett
>            Priority: Major
>         Attachments: child-pom.xml, parent-pom.xml, sample-pom.xml
>
>
> Fails (plugin version as a property applied in pluginManagement):
> {code:xml}
> <properties>
>   <some.plugin.version>1.0.0</some.plugin.version>
> </properties>
> <build>
>   <pluginManagement>
>     <plugins>
>       <plugin>
>         <groupId>org.example</groupId><artifactId>some-plugin</artifactId>
>         <version>${some.plugin.version}</version>
>       </plugin>
>     </plugins>
>   </pluginManagment>
>   <plugins>
>     <plugin>
>       <groupId>org.example</groupId>
>       <artifactId>some-plugin</artifactId>
>     </plugin>
>   </plugins>
> </build>
> {code}
> Works OK:  (plugin version as a raw-version in pluginManagement):
> {code:xml}
> <build>
>   <pluginManagement>
>     <plugins>
>       <plugin>
>         <groupId>org.example</groupId>
>         <artifactId>some-plugin</artifactId>
>         <version>1.0.0</version>
>       </plugin>
>     </plugins>
>   </pluginManagment>
>   <plugins>
>     <plugin>
>       <groupId>org.example</groupId>
>       <artifactId>some-plugin</artifactId>
>     </plugin>
>   </plugins>
> </build>
> {code}
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)